package routers

import (
	"duoduo/apis/pdd"
	"github.com/gin-gonic/gin"
	"net/http"
)

func InitRouter() {

	r := gin.New()
	r.GET("/", func(c *gin.Context) { c.String(http.StatusOK, "hello!") })
	r.GET("/root.txt", func(c *gin.Context) { c.File("./root.txt") })
	r2 := r.Group("/")
	{
		pdd.InitPddDdkRouter(r2)
	}
	_ = r.Run(":80")

}
